# $Revision: 1.22.2.1 $, $Date: 2005/03/27 21:00:42 $
# TODO:
# tightvnc.init
Summary:	tightvnc - application based on the VNC version 3.3.3r2
Summary(pl):	tightvnc - aplikacja bazujca na VNC w wersji 3.3.3r2
Name:		tightvnc
Version:	1.2.9
Release:	7
License:	GPL
Vendor:		Const Kaplinsky <const_k@users.sourceforge.net>
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.net/vnc-tight/%{name}-%{version}_unixsrc.tar.bz2
# Source0-md5:	f804b26c098625e3a2675a0aa7709e31
Patch0:		%{name}-vncserver.patch
Patch1:		%{name}-imake.patch
Source1:	%{name}.desktop
URL:		http://www.tightvnc.com/
BuildRequires:	libjpeg-devel
BuildRequires:	zlib
Provides:	vnc-client
Obsoletes:	vnc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VNC is a great client/server software package allowing remote network
access to graphical desktops. TightVNC is optimized to work over slow
network connections such as low-speed modem links. While oroginal VNC
may be verry slow when your connection is not fast enough, with
TightVNC you can work remotely almost in real time in most
environments.

%description -l pl
VNC jest wspaniaym programem klient/serwer umoliwiajcym zdalny
dostp do graficznych pulpitw. TightVNC jest zoptymalizowany do pracy
przy wolniejszych poczeniach sieciowych takich jak poczenia
modemowe. Oryginalne VNC moe pracowa wolno kiedy poczenie nie jest
wystarczajco szybkie, natomiast z TightVNC moesz pracowa zdalnie
niemal w czasie rzeczywistym.

%package server
Summary:	VNC X server - tightvnc version
Summary(pl):	X serwer VNC - wersja tightvnc
Group:		X11/Applications/Networking
Requires:	XFree86-common
Obsoletes:	vnc-server

%description server
This package contains VNC X server in tightvnc version.

%description server -l pl
Ten pakiet zawiera X serwer VNC w wersji tightvnc.

%package utils
Summary:	Additional utilities for tightvnc
Summary(pl):	Dodatkowe narzdzia do tightvnc
Group:		X11/Applications/Networking
Obsoletes:	vnc-utils

%description utils
This package contains additional tightvnc utilities: vncconnect and
vncpasswd. vncconnect tells Xvnc server to connect to a listening
tightvnc viewer. vncpasswd generates password file (both on server and
viewer side).

%description utils -l pl
Ten pakiet zawiera dodatkowe narzdzia do tightvnc: vncconnect i
vncpasswd. vncconnect suy do poczenia serwera Xvnc z nasuchujcym
vncviewerem. vncpasswd suy to tworzenia pliku z hasem (zarwno po
stronie serwera, jak i przegldarki).

%prep
%setup -qn vnc_unixsrc
%patch0 -p1
%patch1 -p1

%build
xmkmf
%{__make} World \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}"
cd Xvnc
./configure
%{__make} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_datadir}/vnc/classes} \
	$RPM_BUILD_ROOT%{_desktopdir}
	
install vncserver vncviewer/vncviewer vncpasswd/vncpasswd \
	vncconnect/vncconnect Xvnc/programs/Xserver/Xvnc $RPM_BUILD_ROOT%{_bindir}

install classes/* $RPM_BUILD_ROOT%{_datadir}/vnc/classes

install vncserver.man $RPM_BUILD_ROOT%{_mandir}/man1/vncserver.1
install vncviewer/vncviewer.man $RPM_BUILD_ROOT%{_mandir}/man1/vncviewer.1
install vncpasswd/vncpasswd.man $RPM_BUILD_ROOT%{_mandir}/man1/vncpasswd.1
install vncconnect/vncconnect.man $RPM_BUILD_ROOT%{_mandir}/man1/vncconnect.1
install Xvnc/programs/Xserver/Xvnc.man $RPM_BUILD_ROOT%{_mandir}/man1/Xvnc.1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/vncviewer
%{_mandir}/man1/vncviewer.1*
%{_desktopdir}/tightvnc.desktop

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Xvnc
%attr(755,root,root) %{_bindir}/vncserver
%{_datadir}/vnc
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncserver.1*

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vncconnect
%attr(755,root,root) %{_bindir}/vncpasswd
%{_mandir}/man1/vncconnect.1*
%{_mandir}/man1/vncpasswd.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tightvnc.spec,v $
Revision 1.22.2.1  2005/03/27 21:00:42  baggins
- release 7
- fixed completely bogus vncserver script
- STBR AC

Revision 1.22  2004/11/04 11:27:02  paladine
- rel 6 for fixed desktop file

Revision 1.21  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.20  2004/10/03 04:05:28  domelu
- TODO: tightvnc.init

Revision 1.19  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.18  2004/08/25 09:50:24  undefine
- xfs isn't required on the same machine! it can be on other server.

Revision 1.17  2004/08/22 15:11:35  qboosh
- added imake patch, release 4

Revision 1.16  2003/10/08 12:57:08  krzak
- tightvnc.desktop to %%{_desktopdir}
- fixes in tightvnc.desktop file
- rel 3

Revision 1.15  2003/09/17 08:28:30  krzak
- Provides : vnc-client

Revision 1.14  2003/08/13 10:56:02  krolik
- updated to 1.2.9

Revision 1.13  2003/05/28 13:02:15  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:27:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.10  2003/02/18 09:52:09  krolik
- updated to 1.2.8

Revision 1.9  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.8  2002/12/05 15:28:36  areq
- 1.2.7, STBR

Revision 1.7  2002/10/08 08:02:30  marcus
- rel.2.
- fixed patch to classess in vncserver

Revision 1.6  2002/08/30 23:28:44  aflinta
- updated to version 1.2.6

Revision 1.5  2002/07/17 21:18:12  qboosh
- added missing files (quite important: Xvnc)
- changes inspired by vnc.spec, Obsoletes: vnc*
- fixed Comment[pl] in .desktop - it's not (only) for administration
- release 2

Revision 1.4  2002/07/14 16:15:40  kloczek
- finished (please keep new spec close to some .. standards ;)
NOTE: missing icon for desktop file.

Revision 1.3  2002/07/12 20:30:02  djrzulf
- corrected source s/dll/dl/,

Revision 1.2  2002/07/08 00:56:26  krolik
modifided %changelog section
